Bug 954329 - Bridge without slaves wrongly consumes random device by default
Bridge without slaves wrongly consumes random device by default
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: wicked maintainers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 19:32 UTC by Lars Marowsky-Bree
Modified: 2022-02-08 17:22 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Marowsky-Bree 2015-11-09 19:32:20 UTC
Take a purely virtual bridge (to be used for VMs) with a static network configuration:

# cat /etc/sysconfig/network/ifcfg-br0
STARTMODE='auto'
BOOTPROTO='static'
BRIDGE='yes'
BRIDGE_PORTS=''
BRIDGE_FORWARDDELAY='0'
BRIDGE_STP='off'
IPADDR='172.16.1.1/24'

enp0s25 is the local, normal ethernet interface which is working fine:
2: enp0s25: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP mode DEFAULT group default qlen 1000

Now:

# ifup br0
# ip link
2: enp0s25: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master br0 state UP mode DEFAULT group default qlen 1000
    link/ether 28:d2:44:df:33:18 brd ff:ff:ff:ff:ff:ff
9: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP mode DEFAULT group default qlen 1000
    link/ether 28:d2:44:df:33:18 brd ff:ff:ff:ff:ff:ff

It seems that the scripts use the ethernet interface as the *default* value for BRIDGE_PORTS, which obviously then breaks networking. (If I had wanted a slaved network device, I'd have configured one.)

brctl addbr br0 ; ip a add dev br0 172.16.1.1/24 ; ip link set br0 up

creates the desired configuration just fine and is what I'd have expected given the configuration file.
Comment 1 Pawel Wieczorkiewicz 2015-11-10 14:49:36 UTC
Have you had br0(enp0s25) running before? 
If so have you ifdown all (or ifdown br0 _and_ ifdown enp0s25) the interface before ifup br0 with new config?

If only ifdown br0 was issues, the old policy for enp0s25 remains with master device reference to br0.
Comment 2 Lars Marowsky-Bree 2015-11-10 16:25:15 UTC
(In reply to Pawel Wieczorkiewicz from comment #1)
> Have you had br0(enp0s25) running before? 

Yes, I had that configuration in the past. (And then figured out that that didn't work as I needed it to, and removed the enslaved device from the configuration.)

> If so have you ifdown all (or ifdown br0 _and_ ifdown enp0s25) the interface
> before ifup br0 with new config?

Yes. I restarted both all network interfaces, and wickedd.

Karol eventually suggested I try:

# rm /var/run/wicked/state-*

which made the problem go away, and it's now behaving as expected. I didn't save the state-* files for debugging though :-(
Comment 3 Pawel Wieczorkiewicz 2015-11-12 17:21:25 UTC
Basically the proper method to reconfigure devices like this is via using 'wicked ifreload' command.
Can you please try if wicked ifreload br43 helps here?

We cannot ifdown automatically all devices in such a case. That would break the following scenario: br0 { bond0 }, br1 { vlan1 { bond0 }, bond0 { eth0, eth1 }.
ifdown br0 here should not break bond0 or other bridges.

Manually removing the state-* file nor rcwickedd restart are not needed.
Comment 4 OBSbugzilla Bot 2021-03-04 15:00:25 UTC
This is an autogenerated message for OBS integration:
This bug (954329) was mentioned in
https://build.opensuse.org/request/show/876766 Factory / wicked
Comment 6 Swamp Workflow Management 2022-02-03 14:23:47 UTC
SUSE-RU-2022:0318-1: An update that has 19 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1029961,1057592,1156920,1160654,1177215,1178357,1181163,1181186,1181812,1182227,1183407,1183495,1188019,1189560,1192164,1192311,1192353,1194392,954329
CVE References: 
JIRA References: SLE-9750
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    wicked-0.6.68-38.45.1
SUSE OpenStack Cloud 8 (src):    wicked-0.6.68-38.45.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    wicked-0.6.68-38.45.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    wicked-0.6.68-38.45.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    wicked-0.6.68-38.45.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    wicked-0.6.68-38.45.1
HPE Helion Openstack 8 (src):    wicked-0.6.68-38.45.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-02-03 14:28:04 UTC
SUSE-RU-2022:0315-1: An update that has 19 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1029961,1057592,1156920,1160654,1177215,1178357,1181163,1181186,1181812,1182227,1183407,1183495,1188019,1189560,1192164,1192311,1192353,1194392,954329
CVE References: 
JIRA References: SLE-9750
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    wicked-0.6.68-3.16.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Clemens Famulla-Conrad 2022-02-07 22:15:58 UTC
Fixed with wicked version 0.6.65
Comment 9 Swamp Workflow Management 2022-02-08 08:19:07 UTC
SUSE-RU-2022:0345-1: An update that has 19 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1029961,1057592,1156920,1160654,1177215,1178357,1181163,1181186,1181812,1182227,1183407,1183495,1188019,1189560,1192164,1192311,1192353,1194392,954329
CVE References: 
JIRA References: SLE-9750
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    wicked-0.6.68-3.24.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    wicked-0.6.68-3.24.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    wicked-0.6.68-3.24.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    wicked-0.6.68-3.24.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    wicked-0.6.68-3.24.1
SUSE Enterprise Storage 6 (src):    wicked-0.6.68-3.24.1
SUSE CaaS Platform 4.0 (src):    wicked-0.6.68-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-02-08 17:22:22 UTC
SUSE-RU-2022:0346-1: An update that has 19 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1029961,1057592,1156920,1160654,1177215,1178357,1181163,1181186,1181812,1182227,1183407,1183495,1188019,1189560,1192164,1192311,1192353,1194392,954329
CVE References: 
JIRA References: SLE-9750
Sources used:
SUSE Manager Server 4.1 (src):    wicked-0.6.68-3.8.1
SUSE Manager Retail Branch Server 4.1 (src):    wicked-0.6.68-3.8.1
SUSE Manager Proxy 4.1 (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise Micro 5.0 (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    wicked-0.6.68-3.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    wicked-0.6.68-3.8.1
SUSE Enterprise Storage 7 (src):    wicked-0.6.68-3.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.